Subject: Tramp confused by bracketed paste after remote prompt

From: Daniel Colascione <[email-masked]>
Date: Tue, 20 May 2025 09:58:07 -0400

When the remote shell emits bracketed paste escape codes (as zsh does
even when TERM=dumb), tramp ends up timing out unable to find the shell
prompt on initial connection.

BTW: is there any particular reason that sshx uses RemoteCommand but ssh
method does not?